Create Pull Request 1

Create Pull Request 1
Request
URI
POST
https://ip-42.net-99.vm.sof-mbu.broadcom.net/vco/api/content-repositories/pull-requests
COPY
Request Body
WsPullRequestData of type(s) application/json
Optional
{
    "mergedEntries": [
        {
            "relations": {
                "startIndex": 0,
                "count": 0,
                "total": 0,
                "link": [
                    {
                        "rel": "string",
                        "type": "string",
                        "attributes": [
                            {
                                "name": "string",
                                "displayName": "string",
                                "value": "string",
                                "displayValue": "string"
                            }
                        ],
                        "href": "string"
                    }
                ]
            },
            "updateType": "string",
            "oldPath": "string",
            "newPath": "string",
            "data": {},
            "href": "string"
        }
    ],
    "merged-items": [
        {
            "relations": {
                "startIndex": 0,
                "count": 0,
                "total": 0,
                "link": [
                    {
                        "rel": "string",
                        "type": "string",
                        "attributes": [
                            {
                                "name": "string",
                                "displayName": "string",
                                "value": "string",
                                "displayValue": "string"
                            }
                        ],
                        "href": "string"
                    }
                ]
            },
            "updateType": "string",
            "oldPath": "string",
            "newPath": "string",
            "data": {},
            "href": "string"
        }
    ]
}
array of object
mergedEntries
Optional

mergedEntries

array of object
merged-items
Optional

merged-items

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns WsContentRepositoryRequestToken of type(s) application/json
{
    "relations": {
        "startIndex": 0,
        "count": 0,
        "total": 0,
        "link": [
            {
                "rel": "string",
                "type": "string",
                "attributes": [
                    {
                        "name": "string",
                        "displayName": "string",
                        "value": "string",
                        "displayValue": "string"
                    }
                ],
                "href": "string"
            }
        ]
    },
    "status": "string",
    "details": {},
    "shortDetails": "string",
    "startDate": "string",
    "endDate": "string",
    "href": "string"
}
object
relations
Optional

relations

string
status
Optional

status

object
details
Optional

details

string
shortDetails
Optional

shortDetails

string As date-time As date-time
startDate
Optional

startDate

string As date-time As date-time
endDate
Optional

endDate

string
href
Optional

href


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/vco/api/content-repositories/pull-requests